Skip to main content
GET
List all folders
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Workspace subdomain.

Headers

X-Api-Key
string
required

API key. Refer to Authentication for more information.

Accept
enum<string>
default:application/json
required

Must be application/json.

Available options:
application/json

Query Parameters

page_number
integer

Page of results to retrieve, starting from 1. Defaults to 1 when omitted.

page_size
integer

Number of results per page. Defaults to 30 when omitted.

sort_by
enum<string>
default:created_at

Field to sort by: created_at, name. Defaults to created_at.

Available options:
created_at,
name
sort_direction
enum<string>
default:desc

Sort direction: asc or desc. Defaults to desc.

Available options:
asc,
desc

Response

200 - application/json

Successfully retrieved folders.

folders
object[]

List of folders.

pagination
object